import request from '@/utils/request'

// 查询合作主播列表
export function listCoanchor(query) {
  return request({
    url: '/system/user/list1',
    method: 'get',
    params: query
  })
}

// 查询合作主播详细
export function getCoanchor(id) {
  return request({
    url: '/system/coanchor/' + id,
    method: 'get'
  })
}

// 新增合作主播
export function addCoanchor(data) {
  return request({
    url: '/system/coanchor',
    method: 'post',
    data: data
  })
}

// 修改合作主播
export function updateCoanchor(data) {
  return request({
    url: '/system/coanchor',
    method: 'put',
    data: data
  })
}

// 删除合作主播
export function delCoanchor(id) {
  return request({
    url: '/system/coanchor/' + id,
    method: 'delete'
  })
}
